## xb-silo-query xb-silo-query |

## Functions

GPtrArray * | xb_silo_query ()
GPtrArray * | xb_silo_query_full ()
GPtrArray * | xb_silo_query_with_context ()
XbNode * | xb_silo_query_first ()
XbNode * | xb_silo_query_first_full ()
XbNode * | xb_silo_query_first_with_context ()
gboolean | xb_silo_query_build_index ()

## Description

## Functions

### xb_silo_query ()

    GPtrArray *
    xb_silo_query (XbSilo *self,
                   const gchar *xpath,
                   guint limit,
                   GError **error);

### xb_silo_query_full ()

    GPtrArray *
    xb_silo_query_full (XbSilo *self,
                        XbQuery *query,
                        GError **error);

### xb_silo_query_with_context ()

    GPtrArray *
    xb_silo_query_with_context (XbSilo *self,
                                XbQuery *query,
                                XbQueryContext *context,
                                GError **error);

### xb_silo_query_first ()

    XbNode *
    xb_silo_query_first (XbSilo *self,
                         const gchar *xpath,
                         GError **error);

### xb_silo_query_first_full ()

    XbNode *
    xb_silo_query_first_full (XbSilo *self,
                              XbQuery *query,
                              GError **error);

### xb_silo_query_first_with_context ()

    XbNode *
    xb_silo_query_first_with_context (XbSilo *self,
                                      XbQuery *query,
                                      XbQueryContext *context,
                                      GError **error);

### xb_silo_query_build_index ()

    gboolean
    xb_silo_query_build_index (XbSilo *self,
                               const gchar *xpath,
                               const gchar *attr,
                               GError **error);